import { useEnumStore } from '@/stores'

const { getEnumTypeList, getEnumTypeInfo } = useEnumStore()

/**
 * 钻石类型
 */
export enum Category {
    Diamonds = 1, // 成批裸钻
    Diamond = 2, // 单颗裸钻
    Rough = 3, // 成批毛坯
    Jewelry = 4, // 钻石首饰
    Fancy = 5, // 彩色钻石
}

/**
 * 货币类型
 */
export enum CurrencyType {
    CNY = 1, // 人民币
    USD = 2, // 美元
}

/**
 * 获取钻石分类列表
 * @returns 
 */
export function getCategoryList() {
    return getEnumTypeList('ZSCategory')
}

/**
 * 获取货币类型列表
 * @returns 
 */
export function getCurrencyTypeList() {
    return getEnumTypeList('ZSCurrencyType')
}

/**
 * 获取货币类型信息
 * @param value 
 * @returns 
 */
export function getCurrencyTypeInfo(value: number) {
    return getEnumTypeInfo('ZSCurrencyType', value)
}

/**
 * 获取颜色类型列表
 * @returns 
 */
export function getColorTypeList() {
    return getEnumTypeList('ZSColorType')
}

/**
 * 获取净度类型列表
 * @returns 
 */
export function getClarityTypeList() {
    return getEnumTypeList('ZSClarityType')
}

/**
 * 获取切工类型列表
 * @returns 
 */
export function getCutTypeList() {
    return getEnumTypeList('ZSCutType')
}

/**
 * 获取形状类型列表
 * @returns 
 */
export function getShapeTypeList() {
    return getEnumTypeList('ZSShapeType')
}

/**
 * 获取对称类型列表
 * @returns 
 */
export function getSymmetryTypeList() {
    return getEnumTypeList('ZSSymmetryType')
}

/**
 * 获取抛光类型列表
 * @returns 
 */
export function getPolishTypeList() {
    return getEnumTypeList('ZSPolishType')
}

/**
 * 获取荧光类型列表
 * @returns 
 */
export function getFluorescenceTypeList() {
    return getEnumTypeList('ZSFluorescenceType')
}

/**
 * 获取证书类型列表
 * @returns 
 */
export function getCertTypeList() {
    return getEnumTypeList('ZSCertType')
}

/**
 * 获取晶型类型列表
 * @returns 
 */
export function getCrystalTypeList() {
    return getEnumTypeList('ZSCrystalType')
}

/**
 * 获取彩钻类型1列表
 * @returns 
 */
export function getFancyColorType1List() {
    return getEnumTypeList('ZSCZColor1Type')
}

/**
 * 获取彩钻类型2列表
 * @returns 
 */
export function getFancyColorType2List() {
    return getEnumTypeList('ZSCZColor2Type')
}

/**
 * 获取彩钻类型3列表
 * @returns 
 */
export function getFancyColorType3List() {
    return getEnumTypeList('ZSCZColor3Type')
}

/**
 * 获取款式类型列表
 * @returns 
 */
export function getStyleTypeList() {
    return getEnumTypeList('ZSStyleType')
}